org.apache.ivy.osgi.util

## Class VersionComparator

- java.lang.Object
- - org.apache.ivy.osgi.util.VersionComparator

All Implemented Interfaces:
  java.util.Comparator<Version>

    public class VersionComparator
    extends java.lang.Object
    implements java.util.Comparator<Version>

### Field Summary

Fields
`static java.util.Comparator<Version>` `ASCENDING`
`static java.util.Comparator<Version>` `DESCENDING`
`boolean` `reverse`

### Method Summary

Methods
`int` `compare(Version objA, Version objB)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### ASCENDING

    public static final java.util.Comparator<Version> ASCENDING

#### DESCENDING

    public static final java.util.Comparator<Version> DESCENDING

#### reverse

    public final boolean reverse

### Method Detail

#### compare

    public int compare(Version objA,
              Version objB)

Specified by:
  `compare` in interface `java.util.Comparator<Version>`